## org.apache.batik.apps.svgbrowser
Class XMLPreferenceManager.XMLProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  org.apache.batik.apps.svgbrowser.XMLPreferenceManager.XMLProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Enclosing class:
  XMLPreferenceManager

protected class XMLPreferenceManager.XMLProperties
extends java.util.Properties

To store the preferences.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`protected` `XMLPreferenceManager.XMLProperties()`

Method Summary
`void` `load(java.io.InputStream is)` Reads a property list (key and element pairs) from the input stream.
`void` `store(java.io.OutputStream os, java.lang.String header)` Writes this property list (key and element pairs) in this `Properties` table to the output stream in a format suitable for loading into a `Properties` table using the `load` method.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, propertyNames, save, setProperty`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLPreferenceManager.XMLProperties

    protected XMLPreferenceManager.XMLProperties()

Method Detail

### load

    public void load(java.io.InputStream is)
              throws java.io.IOException

  Reads a property list (key and element pairs) from the input stream. The stream is assumed to be using the ISO 8859-1 character encoding.

  Throws:
    `java.io.IOException`

### store

    public void store(java.io.OutputStream os,
                      java.lang.String header)
               throws java.io.IOException

  Writes this property list (key and element pairs) in this `Properties` table to the output stream in a format suitable for loading into a `Properties` table using the `load` method. The stream is written using the ISO 8859-1 character encoding.

  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.